
QGIS Application - Bug report #16581

Python init form is also called in table mode

2017-05-19 02:56 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:2.18.7 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24483

Description

Python init forms are also triggered when the attribute table is opened, regardless of how the attribute table was opened.

I think the init script should only be triggered in form mode, not in table mode.

Associated revisions

Revision 5948c3f4 - 2020-05-18 11:38 PM - Alexander Bruy

default precision for new double field in the shapefile should be

greater than 0 (refs #16581)

History

#1 - 2017-05-19 03:40 PM - Andreas Neumann

- Resolution set to wontfix

- Status changed from Open to Closed

According to Matthias this is a known and intended behavior.

Will change my init script to deal with it and close this ticket.
